#
# spec file for package kpat
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kpat
Summary:        Patience card game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Card
Url:            http://www.kde.org
Version:        4.10.90
Release:        0
Source0:        kpat-%{version}.tar.xz
BuildRequires:  libkdegames-devel
BuildRequires:  xz
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       kdegames4-carddecks-default
%kde4_runtime_requires

%description
KPatience is a collection of various patience games known all over the
world. It includes Klondike, Freecell, Yukon, Forty and Eight and many
more. The game has nice graphics and many different carddecks.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %suse_update_desktop_file -r kpat          Game CardGame
  %kde_post_install

%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/kpat
%{_kde4_htmldir}/en/kpat/
%{_kde4_applicationsdir}/kpat.desktop
%dir %{_kde4_iconsdir}/hicolor/24x24
%dir %{_kde4_iconsdir}/hicolor/24x24/apps
%dir %{_kde4_iconsdir}/hicolor/256x256
%dir %{_kde4_iconsdir}/hicolor/256x256/apps
%{_kde4_iconsdir}/hicolor/*/apps/kpat.*
%{_kde4_appsdir}/kpat/
%{_kde4_libdir}/libkcardgame.so
%{_kde4_configkcfgdir}/kpat.kcfg
%{_kde4_configdir}/kcardtheme.knsrc
%{_kde4_configdir}/kpat.knsrc
%{_datadir}/mime/packages/kpatience.xml

%changelog
